classification
Title: Broken sentence in extending documentation
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: docs@python, ezio.melotti, mdk, python-dev, terry.reedy, upendra-k14, zach.ware
Priority: normal Keywords: patch

Created on 2016-01-06 21:44 by mdk, last changed 2016-01-09 17:22 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
building_additional.patch upendra-k14, 2016-01-07 13:54 Changed 'of addition' to 'additional'
Messages (6)
msg257645 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2016-01-06 21:44
Hello,

While translating the documentation to French, I found a bug here : 

https://docs.python.org/3/extending/building.html#building-c-and-c-extensions-with-distutils

The sentence: "Normally, a package will contain of addition modules:"
Should probably be: "Normally, a package will contain additional modules:"

Bests.
msg257690 - (view) Author: Upendra Kumar (upendra-k14) * Date: 2016-01-07 13:54
I am submitting the patch with small change suggested by you. Thank you.
msg257802 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-01-09 08:28
New changeset 3b860ce5bb51 by Terry Jan Reedy in branch '3.5':
Issue #26029: Remove extraneous word.  Patch by Upendra Kumar.
https://hg.python.org/cpython/rev/3b860ce5bb51
msg257803 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2016-01-09 08:28
Thanks for reporting.
msg257805 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2016-01-09 08:37
Terry, it doesn't look like you used Upendra's patch.  What you committed just removes the "of", but doesn't change "addition" to "additional", which is also required to make that sentence make sense.
msg257846 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-01-09 17:22
New changeset 3f9b9244488d by Terry Jan Reedy in branch '3.5':
Issue #26029: Finish correction.
https://hg.python.org/cpython/rev/3f9b9244488d
History
Date User Action Args
2016-01-09 17:22:30python-devsetmessages: + msg257846
2016-01-09 08:37:49zach.waresetnosy: + zach.ware
messages: + msg257805
2016-01-09 08:28:57terry.reedysetstatus: open -> closed
resolution: fixed
messages: + msg257803

stage: patch review -> resolved
2016-01-09 08:28:19python-devsetnosy: + python-dev
messages: + msg257802
2016-01-09 08:19:23terry.reedysetassignee: docs@python -> terry.reedy

nosy: + terry.reedy
2016-01-07 14:02:39ezio.melottisetnosy: + ezio.melotti
stage: patch review

versions: + Python 3.6
2016-01-07 13:54:35upendra-k14setfiles: + building_additional.patch

nosy: + upendra-k14
messages: + msg257690

keywords: + patch
2016-01-06 21:44:08mdkcreate